Subject: Re: [alsa-devel] [PATCH v2] [ALSA] Add ASoC drivers for the Freescale MPC8610 SoC

From: Olof Johansson <[email-masked]>
Date: Thu, 10 Jan 2008 18:24:50 -0600

On Thu, Jan 10, 2008 at 05:12:16PM -0600, Timur Tabi wrote:
> Grant Likely wrote:
> 
> > Does the driver access the DMA and GUTS registers directly?  If so,
> > what do you have to protect against race conditions of other drivers
> > accessing them also.
> 
> I don't have any more protection than any other driver that accesses SOC 
> registers directly.  Last I heard, Zhang's DMA driver was in limbo, and that 
> driver would be the best place to arbitrate DMA register access.  I was planning 
> on adding arbitration support to that driver after both drivers were applied.

Having been in a similar situation myself (needing to share resources
between DMA, ethernet and function offload), I recommend creating a
separate small library that all those drivers use, instead of making
some sort of dependency between drivers in completely different parts
of the kernel.

-Olof